{* :Admin:Obsah:Stranky:Seznam:default *}
{block content}
    {*============================== BREADCRUMB ==============================*}
    <section class="border-bottom" id="breadcrumb">
        <nav class="p-3 bg-light">
            <ol class="breadcrumb mb-0">
                <li class="breadcrumb-item"><a n:href=":Admin:Dashboard:default"><i class="fas fa-home me-1"></i> Nástěnka</a></li>
                <li class="breadcrumb-item active" n:block="title">Stránky</li>
            </ol>
        </nav>
    </section>
    {*============================== CONTENT ==============================*}
    <section class="container-xxl mb-3">
        <h1>Stránky</h1>
        {* filtrace *}
        <section class="row border-bottom mb-0 py-2">
            <div class="col-12 col-xl-9 mb-lg-2 mb-xl-0">
                <div class="w-100 d-md-flex justify-content-between align-items-center mb-3 mb-lg-0">
                    <div class="input-group mb-2 mb-md-0 me-2">
                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                        <input type="text" id="stranky-filter-nazev" class="form-control" placeholder="Název">
                    </div>
                    <div class="input-group mb-2 mb-md-0 me-2">
                        <span class="input-group-text"><i class="fas fa-list"></i></span>
                        <select type="text" id="stranky-filter-typ" class="form-select">
                            <option value="">Vyberte typ</option>
                            <option value="static">Statická stránka</option>
                            <option value="article">Články</option>
                        </select>
                    </div>
                    <div class="input-group mb-2 mb-md-0 me-2">
                        <span class="input-group-text"><i class="fas fa-eye"></i></span>
                        <select type="text" id="stranky-filter-aktivni" class="form-select">
                            <option value="">Vyberte možnost</option>
                            <option value="1">Aktivní</option>
                            <option value="0">Deaktivována</option>
                        </select>
                    </div>
                    <button class="btn btn-outline-success me-2" onclick="selectUserFilter()">Filtrovat</button>
                    <button class="btn btn-outline-secondary" onclick="selectUserFilterOff()">Reset</button>
                </div>
            </div>
            <div class="col-12 col-xl-3 d-flex justify-content-end">
                {control novaStranka}
            </div>
        </section>
        {*seznam*}
        {snippet list}
            {*====== PAGINATOR ========*}
            {if (!empty($stranky))}
                {control paginator}
            {/if}
            {*====== TABLE ========*}
            <section>
                <div class="table-responsive">
                    <table class="table table-striped table-responsive">
                        <thead>
                        <tr>
                            <th scope="col">#</th>
                            <th scope="col">Název</th>
                            <th scope="col">Typ</th>
                            <th scope="col" class="text-center">Aktivní</th>
                            <th scope="col">Aktualizováno</th>
                            <th scope="col"></th>
                        </tr>
                        </thead>
                        <tbody>
                        {if (!empty($stranky))}
                            {foreach $stranky as $one}
                                <tr>
                                    <td>{$one->id}</td>
                                    <td>{$one->nazev}</td>
                                    <td>
                                        {switch $one->typ}
                                            {case 'article'}
                                                Články
                                            {case 'static'}
                                                Statická stránka
                                            {default}
                                                Neznámý typ
                                        {/switch}
                                    </td>
                                    <td class="text-center">
                                        {switch $one->active}
                                            {case 1}
                                            <a class="ajax" n:href="strankaActive! $one->id, $filter, $page">
                                                <i class="fas fa-eye text-success"></i>
                                            </a>
                                        {case 0}
                                            <a class="ajax" n:href="strankaActive! $one->id, $filter, $page">
                                                <i class="fas fa-eye-slash text-danger"></i>
                                            </a>
                                        {default}
                                            <i class="fas fa-question"></i> {$one->active}
                                        {/switch}
                                    </td>
                                    <td>{$one->last_update |date:('d.m.Y')}</td>
                                    <td class="text-end">
                                        <a n:href=":Admin:Obsah:Stranky:Edit:default $one->id" class="text-primary">
                                            <i class="fa-solid fa-edit me-2"></i>Editovat
                                        </a>
                                    </td>
                                </tr>
                            {/foreach}
                        {else}
                            <tr>
                                <td colspan="6" class="text-center">
                                    Žádná data k zobrazení
                                </td>
                            </tr>
                        {/if}
                        </tbody>
                    </table>
                </div>
            </section>
        {/snippet}
    </section>
{/block}
{block scripts}
    <script>
        function selectUserFilter()
        {
            let typ = $('#stranky-filter-typ').val();
            let nazev = $('#stranky-filter-nazev').val();
            let aktivni = $('#stranky-filter-aktivni').val();

            let data = [];

            if(typ != '')
            {
                data['typ'] = typ;
            }

            if(nazev != '')
            {
                data['nazev'] = nazev;
            }
            if(aktivni != '')
            {
                data['aktivni'] = aktivni;
            }

            naja.makeRequest('GET', {link filter!} , { 'filter': data });
        }
        function selectUserFilterOff()
        {
            let data = [];

            $('#stranky-filter-typ').val('');
            $('#stranky-filter-nazev').val('');
            $('#stranky-filter-aktivni').val('');

            naja.makeRequest('GET', {link filter!} , { 'filter': data });
        }
    </script>
{/block}